Package com.google.android.exoplayer2.source

## Interface SequenceableLoader.Callback<T extends SequenceableLoader>

- All Known Subinterfaces:
    `MediaPeriod.Callback`
  All Known Implementing Classes:
    `ClippingMediaPeriod`, `FakeAdaptiveMediaPeriod`, `MaskingMediaPeriod`
  Enclosing interface:
    SequenceableLoader

      public static interface SequenceableLoader.Callback<T extends SequenceableLoader>

  A callback to be notified of `SequenceableLoader` events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onContinueLoadingRequested​(T source)` | Called by the loader to indicate that it wishes for its `SequenceableLoader.continueLoading(long)` method to be called when it can continue to load data.

- - ### Method Detail

    - #### onContinueLoadingRequested

          void onContinueLoadingRequested​(T source)

      Called by the loader to indicate that it wishes for its `SequenceableLoader.continueLoading(long)` method to be called when it can continue to load data. Called on the playback thread.